
// JavaScript Document
const Regis_= Doc.getElementById('Regis'),
	  $Form = Doc.querySelector("#DGuia"),
	  Visua_ =Doc.querySelector('#VisFol');  

	Doc.getElementById('Regis').disabled=true;
	Doc.querySelector('#VisFol').disabled=true;

Doc.getElementById('btnSearh').addEventListener("click", (e)=>{
	//BtnBus_.addEventListener("click",(e)=>{
	let NoGuia_ = Doc.getElementById('NoFolio').value;	
	let Datos_ = new FormData();
	Datos_.append("Opc",1);
	Datos_.append("NoGuia",NoGuia_);
	fetch("Js/Operaciones.php",{
		method:"POST",
		body:Datos_
	})
	.then((res)=>(res.ok ? res.json() : Promise.reject(res)))
	.then((json) =>{
		let Accion =new Boolean(true);
		let Bandera =new Boolean(true);
		if(json.Status==0){
			Doc.getElementById('Sta').value="Folio no Usado";
			Accion=true;
		}else if(json.Status==1){
			Doc.getElementById('Sta').value="Folio utilizado";
			Accion=false;
		}else if(json.Status==2){
			Doc.getElementById('Sta').value="Folio Cancelado";
			Accion=false;
		}else if(json.Status==3){
			Doc.getElementById('Sta').value="Folio Incompleto";
			Accion=true;
		}else if(json.Status==5){
			Doc.getElementById('Sta').value="Folio Cerrado";
			Accion=true;
		}
		Bandera =(json.FileUp ===0  ? true :false);
		Doc.getElementById('AGL').value=json.AGL;
		Doc.getElementById('Block').value=json.Block;
		Doc.getElementById('FIni').value=json.F_inicio;
		Doc.getElementById('FFin').value=json.F_final;
		Doc.getElementById('FCom').value=json.Fecha_Comite.toString();
		Doc.getElementById('FAsig').value=json.Fecha_Asig.toString();
		Doc.getElementById('FEU').value=json.Fecha_EntUnion || "- Por entregar -";
		Doc.getElementById('FEC').value=json.Fecha_EntComite || "- Por entregar -";
		Doc.getElementById('EAGL').value=json.FechaEmi || "- Por entregar -";
		Doc.getElementById('Regis').disabled=Accion;
		Visua_.disabled=Bandera;
		Visua_.value =NoGuia_;
	})
	.catch((err) =>{
		console.log("ERROR: "+err);
	})
})

Regis_.addEventListener("click", (e)=>{
	let NoGuia_ = Doc.getElementById('NoFolio').value;	
	let Confirm=confirm("Se encuentra seguro de registrar este Folio..? "+NoGuia_);
	let Datos_ = new FormData();
	if (Confirm){
	Datos_.append("Opc",2);
	Datos_.append("NoGuia",NoGuia_);
	fetch("Js/Operaciones.php", {
		method:"POST",
		body:Datos_,
	})
	.then((res)=>(res.ok ? res.json() : Promise.reject(res)))
	.then((json) =>{
		if(json.Error==0){
			Doc.getElementById('Msg').innerHTML=json.Status
			LimpiaMsg();	
		}else{
			Doc.getElementById('Msg').innerHTML=json.Status
		}
		Doc.getElementById('NoFolio').value ='';
	})
	.catch((err) =>{
		console.log("ERROR X: "+err);
	})	
	}
	
})

function LimpiaMsg(){
	setTimeout(()=>{
		$Form.reset();
		Doc.getElementById('NoFolio').value ='';
		Doc.getElementById('Msg').innerHTML='';
	},4000);
	}

Visua_.addEventListener("click", (e)=>{
	window.open("../Admin/Visualiza.php?Fol="+Visua_.value+"&Folio="+Math.random());
})